Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.jxta
Class GMSContext

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.GMSContextBase
          com.sun.enterprise.ee.cms.impl.jxta.GMSContext

All Implemented Interfaces:
  GMSContext

    public class GMSContext

extends GMSContextBase

Version:
  $Revision: 1.25 $
Author:
  Shreedhar Ganapathy Date: Jun 26, 2006

Field Summary

Fields inherited from class com.sun.enterprise.ee.cms.impl.common.GMSContextBase
`gmsMember, gmsMemberType, groupName, logger, memberType, router, serverToken, shutdownHelper, shuttingDown, startTime, suspectList`

Constructor Summary
`GMSContext(String serverToken, String groupName, GroupManagementService.MemberType memberType, Properties configProperties)`

Method Summary
`boolean` | `addToSuspectList(String token)`
`void` | `announceGroupShutdown(String groupName, GMSConstants.shutdownState shutdownState)`
`void` | `announceGroupStartup(String groupName, GMSConstants.groupStartupState startupState, List<String> memberTokens)`
`void` | `assumeGroupLeadership()` lets this instance become a group leader explicitly Typically this can be employed by an administrative member to become a group leader prior to shutting down a group of members simultaneously.
`protected void` | `createDistributedStateCache()`
`DistributedStateCache` | `getDistributedStateCache()`
`GroupCommunicationProvider` | `getGroupCommunicationProvider()`
`GroupHandle` | `getGroupHandle()` returns Group handle
`ShutdownHelper` | `getShutdownHelper()`
`long` | `getStartTime()`
`List<String>` | `getSuspectList()`
`com.sun.enterprise.ee.cms.impl.jxta.ViewWindow` | `getViewWindow()`
`boolean` | `isGroupBeingShutdown(String groupName)`
`boolean` | `isGroupStartup()`
`boolean` | `isSuspected(String token)`
`boolean` | `isWatchdog()`
`void` | `join()`
`void` | `leave(GMSConstants.shutdownType shutdownType)`
`void` | `removeFromSuspectList(String token)`
`void` | `setGroupStartup(boolean value)`

Methods inherited from class com.sun.enterprise.ee.cms.impl.common.GMSContextBase
`getGroupName, getMemberType, getMemberType, getRouter, getServerIdentityToken, isShuttingDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMSContext

    public GMSContext(String serverToken,
                      String groupName,
                      GroupManagementService.MemberType memberType,
                      Properties configProperties)

Method Detail

### createDistributedStateCache

    protected void createDistributedStateCache()

  Specified by:
    `createDistributedStateCache` in class `GMSContextBase`

### getGroupHandle

    public GroupHandle getGroupHandle()

  returns Group handle

  Returns:
    Group handle

### getDistributedStateCache

    public DistributedStateCache getDistributedStateCache()

### join

    public void join()
              throws GMSException

  Throws:
    `GMSException`

### leave

    public void leave(GMSConstants.shutdownType shutdownType)

### getStartTime

    public long getStartTime()

### announceGroupShutdown

    public void announceGroupShutdown(String groupName,
                                      GMSConstants.shutdownState shutdownState)

### announceGroupStartup

    public void announceGroupStartup(String groupName,
                                     GMSConstants.groupStartupState startupState,
                                     List<String> memberTokens)

### addToSuspectList

    public boolean addToSuspectList(String token)

### removeFromSuspectList

    public void removeFromSuspectList(String token)

### isSuspected

    public boolean isSuspected(String token)

### getSuspectList

    public List<String> getSuspectList()

### getShutdownHelper

    public ShutdownHelper getShutdownHelper()

### getGroupCommunicationProvider

    public GroupCommunicationProvider getGroupCommunicationProvider()

### getViewWindow

    public com.sun.enterprise.ee.cms.impl.jxta.ViewWindow getViewWindow()

### assumeGroupLeadership

    public void assumeGroupLeadership()

  Description copied from interface: `GMSContext`
  lets this instance become a group leader explicitly Typically this can be employed by an administrative member to become a group leader prior to shutting down a group of members simultaneously. For underlying Group Communication Providers who don't support the feature of a explicit leader role assumption, the implementation of this method would be a no-op.

### isGroupBeingShutdown

    public boolean isGroupBeingShutdown(String groupName)

### isGroupStartup

    public boolean isGroupStartup()

### setGroupStartup

    public void setGroupStartup(boolean value)

### isWatchdog

    public boolean isWatchdog()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.